Bug 6964 - Остановка на настройке X11 (видео GF2MX400)
: Остановка на настройке X11 (видео GF2MX400)
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/nvidia_glx_common)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
: 7079
  Show dependency tree
 
Reported: 2005-05-30 01:30 by
Modified: 2006-03-07 10:36 (History)


Attachments
ins.tar.gz - логи и описание оборудования (37.34 KB, application/x-tgz)
2005-05-30 01:41, Dmitry Khanjin
no flags Details


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-05-30 01:30:43
Видеокарта GeForce2 MX400 noname. 
В графическом режиме 800х600 и 1024х768 установка останавливается при переходе 
к настройке X11. Не виснет, консоли переключаются, при возврате в Alt-F2 на 
экране только белый фон без надписей. После убиения иксов по Ctrl-Alt-BS уста- 
новка заканчивается, можно залогиниться и запустить xinit в 1024х768. Файла 
xorg.conf я не нашел, логи приложены. Аналогичная ситуация была при установке 
2.9.9.5 на систему с Riva 128ZX в режиме VESA.
------- Comment #1 From 2005-05-30 01:41:29 -------
Created an attachment (id=908) [details]
ins.tar.gz - логи и описание оборудования
------- Comment #2 From 2005-05-30 10:43:38 -------
Ловил нечто подобное (железо сейчас не упомню, но _кажется_ --
AthlonXP/KT600/GF2MX400, если нет -- то PIII/i815/Rage128).  Зафиксировать
надёжно не вышло, пришлось пожаловаться в jabber и списать на подземный стук...
------- Comment #3 From 2005-05-30 14:32:55 -------
to current maintainer
------- Comment #4 From 2005-06-17 21:29:06 -------
на инсталляторе 2.9.9.7 больше не виснет, но инсталлятор здесь завершает работу 
(похоже аварийно), настроек иксов (и далее) не проходит, сразу грузится 
установленная система.  
------- Comment #5 From 2005-06-20 10:57:11 -------
Какой драйвер в установленной системе используется для этого устройства ?
------- Comment #6 From 2005-06-20 17:57:32 -------
Исправлено в 2.9.9.8.iso
------- Comment #7 From 2005-06-23 15:35:29 -------
на 2.9.9.8 / gf2mx400 взорвался вообще install2 на старте... xorg пытались
запустить с Driver "nvidia", при этом nvidia.ko отсутствовал как класс
(диск/память)

посмотрю 2.9.9.9
------- Comment #8 From 2005-06-23 20:35:10 -------
то же самое; после subst 's/nvidia/nv/g' /tmp/xconfig и ручного запуска
install2-x11-qt поехали дальше (geforce2 mx400)

reopen или смотрим, что в #6901 обсуждение тоже как-то отклонилось и открываем
новую багу -- "install2 сразу падает на nvidia потому, что драйвер nvidia, а не
nv, а kernel-modules-nvidia и проч. в системе нет"? и зачем в инсталерном
xconfig Load "glx" -- ещё отдельной багой? :)
------- Comment #9 From 2005-06-23 21:06:10 -------
тьфу, тормоз.  как раз в #6901 про _вторую_ стадию %)

впрочем, сейчас до неё вообще не добраться -- даже после этих трюков 
install2-x11-qt отрабатывает, но переход на install3 не происходит; 
init 7 говорит "proc already mounted" (отмонтировать просто так не удаётся,
кувалда в виде предварительного umount -a приводит к тому, что дальше мы
ничего уже не можем _смонтировать)

inger, zerg: как вы такое отлаживаете-то?  поделитесь секретами :)
------- Comment #10 From 2005-06-24 09:30:17 -------
Пытался запустить также и в text mode, и в VESA, результат одинаков: 
# grep \(EE\) /tmp/X11.log 
(EE) Failed to load module "glx" (module does not exist, 0) 
(EE) Failed to load module "dri" (module does not exist, 0) 
(EE) Load module: Module nvidia does not have a nvidiaModuleData data object. 
(EE) Failed to load module "nvidia" (invalid module, 0) 
(EE) No drivers available. 
Однако, даже VESA не запускается. 
------- Comment #11 From 2005-06-24 10:37:20 -------
Я так и не понял: что и где не работает ?

install2 - работает ?
install3 - работает ?
настройка xorg - работает ?
------- Comment #12 From 2005-06-24 22:12:39 -------
Не стартуют иксы с X10: fatal IO error 104 (connection reset by peer) on X 
server ":9.0" after 0 requests (0 known processed) with 0 events remaining. 
Причем независимо от выбранного видеорежима в инсталляторе /tmp/xconfig на- 
страивается на использование драйвера nvidia, о чем я и сообщил. 
Если сделать по рецепту Михаила subst 's/nvidia/nv/g' /tmp/xconfig, а также 
subst 's/nvidia/vesa/g' /tmp/xconfig или тупо rm -i /tmp/xconfig, можно 
вручную запустить install2-x11-qt. Остальное Михаил описал в comment#9. 
Кстати, пробовал startx и xinit, обе команды выполняются несмотря на выше- 
упомянутый error. 
Команда x11createconfig также использует драйвер nvidia. 
Да, и еще. Извините, некогда было прокомментировать #4. На моей машине 2.9.9.7 
отработал, но X11 удалось настроить только с драйвером nv. Информация, конечно 
устарела, но вдруг пригодится. 
------- Comment #13 From 2005-06-26 08:41:52 -------
Наконец догадался прочитать #6901c24. 
Сделал по тому рецепту и прошел инсталлер до конца. 
В настройках иксов указал драйвер NVIDIA GeForce X11 (generic). 
Все заработало с "nv". 
 
Однако, в x11createconfig гвоздями прибит коммерческий драйвер. 
 
При указании инсталлятору видеорежима VESA все равно в /tmp/xconfig указан 
именно он, хотя вроде должен "vesa". 
 
------- Comment #14 From 2005-06-27 12:23:15 -------
Да, все понятно.
2zerg: опять мешается твой nulldrv.o, притворяющийся драйвером nvidia
Боюсь что еще будут падать х'ы при попытке определения списка возможных
параметров этого драйвера.

В общем - перевешиваю на nvidia_glx
------- Comment #15 From 2005-07-05 10:39:45 -------
fixed (alterator-x11-0.3.5)
------- Comment #16 From 2005-07-06 23:13:48 -------
2.9.11+GF2: OK

Дмитрий, проверите/закроете?
------- Comment #17 From 2005-07-07 00:25:14 -------
странно, на KT600 полный порядок, а на i865 поймал такое, что при предложенных
1280x1024x24 и выставленных 1024x768x24 не завелось (test failed):

(**) NVIDIA(0): Depth 24, (--) framebuffer bpp 32
(==) NVIDIA(0): RGB weight 888
(==) NVIDIA(0): Default visual is TrueColor
(==) NVIDIA(0): Using gamma correction (1.0, 1.0, 1.0)
(--) NVIDIA(0): Linear framebuffer at 0xE8000000
(--) NVIDIA(0): MMIO registers at 0xF4000000
(EE) NVIDIA(0): Failed to initialize the NVIDIA graphics device!
(EE) NVIDIA(0):  *** Aborting ***
(II) UnloadModule: "nvidia"
(EE) Screen(s) found, but none have a usable configuration.

при указании 16bpp -- взлетело, но в Xorg.9.log подозрительное есть:

Symbol __glXgetActiveScreen from module
/usr/X11R6/lib/modules/extensions/libdri
.a is unresolved!
Symbol __glXgetActiveScreen from module
/usr/X11R6/lib/modules/extensions/libdri
.a is unresolved!

в домашнем xorg.conf Load "dri" не наблюдается.

в общем, подземный стук или похоже на race, поскольку в установленной системе в
acc перебиралось всё, что угодно (ну 32bpp не работает, надо бы его для nvidia
отрывать), но работает как часы.  разве ещё в dmesg такое вот было:

agpgart: Found an AGP 3.0 compliant device at 0000:00:00.0.
agpgart: Device is in legacy mode, falling back to 2.x
agpgart: Putting AGP V2 device at 0000:00:00.0 into 4x mode
agpgart: Putting AGP V2 device at 0000:01:00.0 into 4x mode
agpgart: Found an AGP 3.0 compliant device at 0000:00:00.0.
agpgart: Device is in legacy mode, falling back to 2.x
agpgart: Putting AGP V2 device at 0000:00:00.0 into 4x mode
agpgart: Putting AGP V2 device at 0000:01:00.0 into 4x mode
------- Comment #18 From 2005-07-07 01:12:38 -------
не, не стук, воспроизводится.  при первой попытке "next" вне зависимости от
того, менялось ли предложенное 1280x1024 на 1024x768 или оставлялось как есть,
неудачно.  при втором пинке в "next" (без каких-либо изменений) -- едем дальше,
всё замечательно.  это на i865, на KT600, повторяюсь, с первого разу всё OK.

2 rider: пускать?
------- Comment #19 From 2005-07-07 05:23:04 -------
повтор на KT600 показал те же грабли и тут -- только со второго раза с теми же
настройками...

*sigh*
------- Comment #20 From 2005-07-07 10:14:06 -------
Это проблема в udev

В теории udev-060 должен помочь

Если есть возможность его накатить, то попробуйте плз.
------- Comment #21 From 2005-07-07 13:24:20 -------
Так это надо на образ накатывать -- воспроизвести на установленной системе не
получилось ни разу.  Мож сделай "инженерную" дельту, проверю?
------- Comment #22 From 2005-07-07 13:34:29 -------
поехала на people, проверяй.
------- Comment #23 From 2005-07-08 08:59:45 -------
Проверил. На 2.9.11 со второго раза. С 20050707.delta вроде сначала прошел с 
первого раза, вернулся, сменил разрешение- и опять спотык. Снова вернулся к 
настройке, пнул "Дальше"- все хорошо. Больше не воспроизвелось. 
Вечером буду мучить подробнее. 
Кстати, кнопка "Применить рекомендуемые значения" не работает, разрешение не 
становится рекомендуемым. 
------- Comment #24 From 2005-07-10 14:40:27 -------
Поигрался с инсталлером подробнее. Обнаружил, что если ничего не меняя в наст- 
ройках, ткнуть Next, проходим дальше штатно. А если поменять разрешение, то 
после вопроса "Видите ли вы это сообщение" и ответа "Да" остается черный экран 
с крестом, как в #7308c5. 
С упоминавшейся дельтой от 20050707 воспроизвести это удалось в совсем диких 
условиях, которые вряд-ли встретятся (пнуть Esc, когда изображение есть). 
Видимо, можно закрывать и смотреть на #7308 ? 
------- Comment #25 From 2005-07-11 14:07:51 -------
(In reply to comment #24)
> С упоминавшейся дельтой от 20050707 воспроизвести это удалось в совсем диких 
> условиях, которые вряд-ли встретятся (пнуть Esc, когда изображение есть). 
Не дикие -- это естественная реакция, если (скажем) рефреш не нравится.
Плюс юзеры -- народ загадочный и сам по себе... ;-)
------- Comment #26 From 2005-08-04 12:00:35 -------
исправлено начиная с installer-2.9.12
------- Comment #27 From 2005-08-04 13:19:08 -------
2.9.14/rc3: OK